[ Identification | Description | Input parameters | Output parameters | Links ]

# The `PSDcyl_monitor` Component

A 2D Position-sensitive monitor. The shape is cylindrical with the axis vertical. The monitor covers the whole cylinder (360 degrees).

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: October 26, 2000
- Version: 1.13

## Description

    An (n times m) pixel PSD monitor with cylinder shape,
    vertical axis, centered at (0,0,0).

    Example: PSDcyl_monitor(nr=20, ny=20, filename="Output.cyl",
              height=0.2, radius=0.1)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nr | 1 | Number of pixel (radial) columns |
ny | 1 | Number of pixel rows |
filename | text | Name of file in which to store the detector image |
height | m | Height of detector |
radius | m | Radius of detector |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
PSD_N | - | Array of neutron counts |
PSD_p | - | Array of neutron weight counts |
PSD_p2 | - | Array of second moments |

## Links

- Source code for `PSDcyl_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]